Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GraphEditorUI Class Reference
Inheritance diagram for GraphEditorUI:

## Public Member Functions
| __init__ (self, parent, editor, object)
| AddTreeNodes (self, parentItem, items)
| curFrameChange (self)
| DoLayout (self)
| OnExit (self, evt)
| OnOneTangent (self, evt)
| OnSelChanged (self, evt)
| OnTwoTangents (self, evt)
| OnZoomIn (self, evt)
| OnZoomOut (self, evt)
| SetProperties (self)

## Public Attributes
| buttonOneTangent = wx.BitmapButton(self.mainPanel1, -1, bmpOneTangent, size = (30,30),style = wx.BU_AUTODRAW)
| buttonTwoTangents = wx.BitmapButton(self.mainPanel1, -1, bmpTwoTangents, size = (30,30),style = wx.BU_AUTODRAW)
| buttonZoomIn = wx.BitmapButton(self.mainPanel1, -1, bmpZoomIn, size = (30,30),style = wx.BU_AUTODRAW)
| buttonZoomOut = wx.BitmapButton(self.mainPanel1, -1, bmpZoomOut, size = (30,30),style = wx.BU_AUTODRAW)
int | curFrame = self.editor.ui.animUI.curFrame
| dialogSizer = dialogSizer
| editor = editor
| graphEditorWindow = GraphEditorWindow(self.mainPanel2, wx.Size(500, 450), str(object[OG.OBJ_DEF].name), self.xRange, self.yRange, self.curFrame, self.object)
| mainPanel1 = wx.Panel(self, -1)
| mainPanel2 = wx.Panel(self, -1)
str | namestr = "%s"%(object[OG.OBJ_DEF].name)
| object = object
| OnExit
| OnOneTangent
| OnSelChanged
| OnTwoTangents
| OnZoomIn
| OnZoomOut
| root = self.tree.AddRoot(self.namestr)
| str = self.tree.GetItemText(self.root)
| tree = wx.TreeCtrl(self.mainPanel2, id=-1, pos=wx.DefaultPosition,size=wx.Size(200, 450), style=wx.TR_MULTIPLE|wx.TR_DEFAULT_STYLE,validator=wx.DefaultValidator, name="treeCtrl")
int | xRange = 24+1
int | yRange = 50

## Detailed Description

    This is the graph editor main class implementation.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor,
|  |  | object )

## Member Function Documentation

## ◆ AddTreeNodes()

AddTreeNodes | ( |  | self,
|  |  | parentItem,
|  |  | items )

## ◆ curFrameChange()

curFrameChange | ( |  | self | ) |

## ◆ DoLayout()

DoLayout | ( |  | self | ) |

## ◆ OnExit()

OnExit | ( |  | self,
|  |  | evt )

## ◆ OnOneTangent()

OnOneTangent | ( |  | self,
|  |  | evt )

## ◆ OnSelChanged()

OnSelChanged | ( |  | self,
|  |  | evt )

## ◆ OnTwoTangents()

OnTwoTangents | ( |  | self,
|  |  | evt )

## ◆ OnZoomIn()

OnZoomIn | ( |  | self,
|  |  | evt )

## ◆ OnZoomOut()

OnZoomOut | ( |  | self,
|  |  | evt )

## ◆ SetProperties()

SetProperties | ( |  | self | ) |

## Member Data Documentation

## ◆ buttonOneTangent

buttonOneTangent = wx.BitmapButton(self.mainPanel1, -1, bmpOneTangent, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonTwoTangents

buttonTwoTangents = wx.BitmapButton(self.mainPanel1, -1, bmpTwoTangents, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonZoomIn

buttonZoomIn = wx.BitmapButton(self.mainPanel1, -1, bmpZoomIn, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ buttonZoomOut

buttonZoomOut = wx.BitmapButton(self.mainPanel1, -1, bmpZoomOut, size = (30,30),style = wx.BU_AUTODRAW)

## ◆ curFrame

curFrame = self.editor.ui.animUI.curFrame

## ◆ dialogSizer

dialogSizer = dialogSizer

## ◆ editor

editor = editor

## ◆ graphEditorWindow

graphEditorWindow = GraphEditorWindow(self.mainPanel2, wx.Size(500, 450), str(object[OG.OBJ_DEF].name), self.xRange, self.yRange, self.curFrame, self.object)

## ◆ mainPanel1

mainPanel1 = wx.Panel(self, -1)

## ◆ mainPanel2

mainPanel2 = wx.Panel(self, -1)

## ◆ namestr

str namestr = "%s"%(object[OG.OBJ_DEF].name)

## ◆ object

object = object

## ◆ OnExit

OnExit

## ◆ OnOneTangent

OnOneTangent

## ◆ OnSelChanged

OnSelChanged

## ◆ OnTwoTangents

OnTwoTangents

## ◆ OnZoomIn

OnZoomIn

## ◆ OnZoomOut

OnZoomOut

## ◆ root

root = self.tree.AddRoot(self.namestr)

## ◆ str

str = self.tree.GetItemText(self.root)

## ◆ tree

tree = wx.TreeCtrl(self.mainPanel2, id=-1, pos=wx.DefaultPosition,size=wx.Size(200, 450), style=wx.TR_MULTIPLE|wx.TR_DEFAULT_STYLE,validator=wx.DefaultValidator, name="treeCtrl")

## ◆ xRange

int xRange = 24+1

## ◆ yRange

int yRange = 50